Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Class FbBatchConfig.Immutable

java.lang.Object
org.firebirdsql.gds.ng.FbBatchConfig.Immutable

All Implemented Interfaces:
  `FbBatchConfig`

Enclosing interface:
  FbBatchConfig

public static final class FbBatchConfig.Immutable extends Object implements FbBatchConfig
Class to provide an immutable copy of a batch config.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.FbBatchConfig

  `FbBatchConfig.Immutable`

- ## Field Summary

  ### Fields inherited from interface org.firebirdsql.gds.ng.FbBatchConfig

  `CONTINUE_ON_ERROR, HALT_AT_FIRST_ERROR, NO_UPDATE_COUNTS, SERVER_DEFAULT_BUFFER_SIZE, SERVER_DEFAULT_DETAILED_ERRORS, SERVER_MAXIMUM_BUFFER_SIZE, UPDATE_COUNTS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `batchBufferSize()`
  Server-side batch buffer size in bytes.
  `int`
  `detailedErrors()`
  Number of detailed errors to return.
  `FbBatchConfig`
  `immutable()`
  `boolean`
  `multiError()`
  Multi-error behaviour.
  `boolean`
  `updateCounts()`
  Report update counts per element (called "record counts" in Firebird).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.firebirdsql.gds.ng.FbBatchConfig

  `populateBatchParameterBuffer`

- ## Method Details

  - ### multiError

    public boolean multiError()
    Description copied from interface: `FbBatchConfig`
    Multi-error behaviour.
    Specified by:
      `multiError` in interface `FbBatchConfig`
    Returns:
      `true` request multi-error (continue on failure), or `false` to halt execution on first error

  - ### updateCounts

    public boolean updateCounts()
    Description copied from interface: `FbBatchConfig`
    Report update counts per element (called "record counts" in Firebird).
    Specified by:
      `updateCounts` in interface `FbBatchConfig`
    Returns:
      `true` report update counts, `false` do not report update counts

  - ### detailedErrors

    public int detailedErrors()
    Description copied from interface: `FbBatchConfig`
    Number of detailed errors to return.

    A value of `0` disables detailed errors. When a value `< 0` is returned, the server-side default is used (`64 as of Firebird 4`). Requesting detailed errors exceeding the maximum (256 as of Firebird 4) will be silently set to the server maximum.

    Specified by:
      `detailedErrors` in interface `FbBatchConfig`
    Returns:
      number of detailed errors, `0` to disable detailed errors, `< 0` for server default

  - ### batchBufferSize

    public int batchBufferSize()
    Description copied from interface: `FbBatchConfig`
    Server-side batch buffer size in bytes.

    When a value `< 0` is returned, the server-side default (16MB as of Firebird 4) will be used. When a value of `0` is returned , the server-side maximum will be used. Requesting buffer sizes exceeding the maximum (256MB as of Firebird 4) will be silently set to the server maximum.

    Specified by:
      `batchBufferSize` in interface `FbBatchConfig`
    Returns:
      maximum batch buffer size, return `< 0` to use server-side default (16MB as of Firebird 4), `0` for the server-side maximum (256MB as of Firebird 4)

  - ### immutable

    public FbBatchConfig immutable()
    Specified by:
      `immutable` in interface `FbBatchConfig`
    Returns:
      immutable, frozen copy of this batch config